# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_inisettingsfile`](#dsc_inisettingsfile): The DSC IniSettingsFile resource type. Automatically generated from version 1.3.0.151
* [`dsc_keyvaluepairfile`](#dsc_keyvaluepairfile): The DSC KeyValuePairFile resource type. Automatically generated from version 1.3.0.151
* [`dsc_replacetext`](#dsc_replacetext): The DSC ReplaceText resource type. Automatically generated from version 1.3.0.151

## Resource types

### `dsc_inisettingsfile`

The DSC IniSettingsFile resource type.
Automatically generated from version 1.3.0.151

#### Properties

The following properties are available in the `dsc_inisettingsfile` type.

##### `dsc_text`

Data type: `Optional[String]`

The text to set the entry value to. Only used when Type is set to 'Text'.

##### `dsc_type`

Data type: `Optional[Enum['Text', 'Secret']]`

Specifies the value type that contains the value to set the entry to. Defaults to 'Text'.

#### Parameters

The following parameters are available in the `dsc_inisettingsfile` type.

##### `dsc_key`

namevar

Data type: `String`

The name of the key to add or set in the section.

##### `dsc_path`

namevar

Data type: `String`

The path to the INI settings file to set the entry in.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_secret`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The secret text to set the entry value to. Only used when Type is set to 'Secret'.

##### `dsc_section`

namevar

Data type: `String`

The section to add or set the entry in.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_keyvaluepairfile`

The DSC KeyValuePairFile resource type.
Automatically generated from version 1.3.0.151

#### Properties

The following properties are available in the `dsc_keyvaluepairfile` type.

##### `dsc_encoding`

Data type: `Optional[Enum['ASCII', 'BigEndianUnicode', 'BigEndianUTF32', 'UTF8', 'UTF32']]`

Specifies the file encoding. Defaults to ASCII

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies the if the key value pair with the specified key should exist in the file.

##### `dsc_ignorenamecase`

Data type: `Optional[Boolean]`

Ignore the case of the name of the key. Defaults to $False.

##### `dsc_ignorevaluecase`

Data type: `Optional[Boolean]`

Ignore the case of any text or secret when determining if it they need to be updated. Defaults to $False.

##### `dsc_text`

Data type: `Optional[String]`

The text to replace the value with in the identified key. Only used when Type is set to 'Text'.

##### `dsc_type`

Data type: `Optional[Enum['Text', 'Secret']]`

Specifies the value type to use as the replacement string. Defaults to 'Text'.

#### Parameters

The following parameters are available in the `dsc_keyvaluepairfile` type.

##### `dsc_name`

namevar

Data type: `String`

The name of the key.

##### `dsc_path`

namevar

Data type: `String`

The path to the key value pair text file.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_secret`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The secret text to replace the value with in the identified key. Only used when Type is set to 'Secret'.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_replacetext`

The DSC ReplaceText resource type.
Automatically generated from version 1.3.0.151

#### Properties

The following properties are available in the `dsc_replacetext` type.

##### `dsc_allowappend`

Data type: `Optional[Boolean]`

Specifies to append text to the file being modified. Adds the ability to add a configuration entry.

##### `dsc_encoding`

Data type: `Optional[Enum['ASCII', 'BigEndianUnicode', 'BigEndianUTF32', 'UTF8', 'UTF32']]`

Specifies the file encoding. Defaults to ASCII

##### `dsc_text`

Data type: `Optional[String]`

The text to replace the text identified by the RegEx. Only used when Type is set to 'Text'.

##### `dsc_type`

Data type: `Optional[Enum['Text', 'Secret']]`

Specifies the value type to use as the replacement string. Defaults to 'Text'.

#### Parameters

The following parameters are available in the `dsc_replacetext` type.

##### `dsc_path`

namevar

Data type: `String`

The path to the text file to replace the string in.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_search`

namevar

Data type: `String`

The RegEx string to use to search the text file.

##### `dsc_secret`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The secret text to replace the text identified by the RegEx. Only used when Type is set to 'Secret'.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

