require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_inisettingsfile',
  dscmeta_resource_friendly_name: 'IniSettingsFile',
  dscmeta_resource_name: 'DSR_IniSettingsFile',
  dscmeta_module_name: 'FileContentDsc',
  dscmeta_module_version: '1.3.0.151',
  docs: 'The DSC IniSettingsFile resource type.
         Automatically generated from version 1.3.0.151',
  features: ['simple_get_filter', 'canonicalize'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',
      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_text: {
      type: 'Optional[String]',
      desc: "The text to set the entry value to. Only used when Type is set to 'Text'.",

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_section: {
      type: 'String',
      desc: 'The section to add or set the entry in.',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_type: {
      type: "Optional[Enum['Text', 'Secret']]",
      desc: "Specifies the value type that contains the value to set the entry to. Defaults to 'Text'.",

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_secret: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: "The secret text to set the entry value to. Only used when Type is set to 'Secret'.",
      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_path: {
      type: 'String',
      desc: 'The path to the INI settings file to set the entry in.',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_key: {
      type: 'String',
      desc: 'The name of the key to add or set in the section.',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
  },
)
